Page MenuHomeFreeBSD

Add chroot back to BIND's startup script.
ClosedPublic

Authored by mat on Feb 23 2015, 5:19 PM.

Details

Reviewers
mat
Summary
  • Add a mtree file to setup the chroot cage.
  • Rename internal variables in the rc file with an _ prefix.
  • Move rc variables description at the top.
  • Always use ${} for variables in the rc file.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mat retitled this revision from to Add chroot back to BIND's startup script..Feb 23 2015, 5:19 PM
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat updated this revision to Diff 3930.
mat updated this object.Feb 23 2015, 5:40 PM
mat updated this object.Feb 23 2015, 7:19 PM
mat updated this revision to Diff 3932.

Debug some stuff, copy OpenSSL engines to the chroot if they are present. (even
if they're not needed.)

mat updated this revision to Diff 3952.Feb 24 2015, 4:52 PM

Add BIND9 9.10.

mat updated this object.Feb 24 2015, 4:53 PM
mat added a reviewer: mat.Mar 24 2015, 3:22 PM
mat accepted this revision.
This revision is now accepted and ready to land.Mar 24 2015, 3:22 PM
mat closed this revision.Mar 24 2015, 3:25 PM
dim added a subscriber: dim.Mar 26 2015, 10:47 PM

Just FYI, this makes port installation fail with:

===>  Installing for bind910-9.10.2
===>  Checking if bind910 already installed
===>   Registering installation for bind910-9.10.2
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/named.conf.sample: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/named.root: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/empty.db: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/localhost-forward.db: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/localhost-reverse.db: No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/dynamic/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/slave/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/working/): No such file or directory
*** [fake-pkg] Error code 74
mat added a comment.Mar 26 2015, 10:55 PM
In D1952#13, @dim wrote:

Just FYI, this makes port installation fail with:

===>  Installing for bind910-9.10.2
===>  Checking if bind910 already installed
===>   Registering installation for bind910-9.10.2
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/named.conf.sample: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/named.root: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/empty.db: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/localhost-forward.db: No such file or directory
pkg-static: Unable to access file /usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/localhost-reverse.db: No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/dynamic/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/master/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/slave/): No such file or directory
pkg-static: lstat(/usr/work/share/dim/ports/dns/bind910/work/stage/usr/local/etc/namedb/working/): No such file or directory
*** [fake-pkg] Error code 74

this has been committed, please open a PR.

dim added a comment.Mar 26 2015, 11:01 PM

Sorry, false alarm. I had some customizations in the Makefile that I totally forgot about. Reverting those made the port build and install correctly.